<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
   // Settings Page 
	function dcs3_download_content_setting() {
		add_menu_page('S3 Downloader Settings', 'S3 Downloader Settings', 'administrator', 'dcs3-downloader-settings', 'dcs3_download_content_settings_page');
	}
	
	if( current_user_can('administrator')){
		add_action('admin_menu', 'dcs3_download_content_setting');
	}
	
	
	function dcs3_download_content_settings_page(){
	global $wpdb;
	$_SESSION["success1"] = "";
	$table_name = $wpdb->prefix . 'dcs3_content_downloader';
	if(isset($_POST['Access_Key']) || isset($_POST['Secret_Key']) || isset($_POST['Bucket_Name']) &&  isset( $_POST['savesettingsid'] ) 
    ||  wp_verify_nonce( $_POST['savesettingsid'], 'save_bucket_settings' ) && check_admin_referer( 'save_bucket_settings', 'savesettingsid' ) ){
 		
		$accesskey = sanitize_text_field(isset($_POST['Access_Key'])? trim($_POST['Access_Key']):"");
		$secretkey = sanitize_text_field(isset($_POST['Secret_Key'])? trim($_POST['Secret_Key']):"");
		$bucketname = sanitize_text_field(isset($_POST['Bucket_Name'])? trim($_POST['Bucket_Name']):"");
		// Truncating the table before saving
		$sql = "TRUNCATE TABLE  $table_name";
		$wpdb->query($sql);
		$success=$wpdb->insert( 
			$table_name, 
			array( 
				'accesskey' => $accesskey, 
				'secretkey' => $secretkey, 
				'bucketname' => $bucketname,
				'time' => current_time( 'mysql' ), 			
			) 
		);
		if($success){
			$_SESSION["success1"] = "success";
		}	
	}
	$sql_select = "select * from $table_name";
	$pageposts = $wpdb->get_results($sql_select, OBJECT);
	$arrayPost = json_decode(json_encode($pageposts),true);
	$Plugin_URL = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
 ?>
<div class="container">
	<h1> S3 Content Downloader Settings Page</h1>
	<hr />
	<form name="s3_content_downloader" class="form-horizontal" method="POST">
	<?php wp_nonce_field( 'save_bucket_settings'.$savesettingsid ); ?>
		<table style="width: 80%">
			<tr>
				<td style="width:15%">Access Key</td>
				<td style="width:85%">
					<input type="text" style="width:80%" name="Access_Key" value="<?php if(isset($arrayPost[0][accesskey])){echo $arrayPost[0][accesskey];} ?>" />
					<input type="hidden" name="pluginurl" value="<?php echo $Plugin_URL;?>">
				</td>
			</tr>
			<tr>
				<td style="width:15%">Secret Key</td>
				<td style="width:85%">
					<input type="password" style="width:80%" name="Secret_Key" value="<?php if(isset($arrayPost[0][secretkey])){echo $arrayPost[0][secretkey];} ?>" />
				</td>
			</tr>
			<tr>
				<td style="width:15%">Bucket Name</td>
				<td style="width:85%">
					<input type="text" style="width:80%" name="Bucket_Name"value="<?php if(isset($arrayPost[0][bucketname])){echo $arrayPost[0][bucketname];} ?>" />
				</td>
			</tr>
			<tr>
				<td style="width:15%;">&nbsp;</td>
				<td style="width:85%">
					<input type="submit" value="Update Settings" />
				</td>
			</tr>				
		</table>	
	</form>
	<?php if($_SESSION["success1"] == "success"){ ?>
		<div id="message" class="notice notice-success is-dismissible"><p><strong>Updated to the Database successfully.</strong></p></div>
	<?php } ?>
</div>
<?php } ?>