<?php
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
global $s3_content_db_version;
	$s3_content_db_version = '1.0';

	function dcs3_install() {
		global $wpdb;
		global $s3_content_db_version;

		$table_name = $wpdb->prefix . 'dcs3_content_downloader';
		
		$charset_collate = $wpdb->get_charset_collate();

		$sql = "CREATE TABLE $table_name (
			id mediumint(9) NOT NULL AUTO_INCREMENT,
			accesskey text NOT NULL,
			secretkey text NOT NULL,
			bucketname text NOT NULL,
			time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
			PRIMARY KEY  (id)
		) $charset_collate;";

		require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
		dbDelta( $sql );

		add_option( 's3_content_db_version', $s3_content_db_version );
	}


	function dcs3_uninstall() {
		global $wpdb;
		global $s3_content_db_version;

		$table_name = $wpdb->prefix . 'dcs3_content_downloader';
		
		$charset_collate = $wpdb->get_charset_collate();

		$sql = "DROP TABLE $table_name";
		
		$wpdb->query($sql);
		delete_option($s3_content_db_version);
	}
?>